.NET

Reply
Valued Contributor
Ertqwa
Posts: 98
Registered: ‎10-03-2011
Message 1 of 2 (283 Views)
Accepted Solution

Can't select block after redefining it.

283 Views, 1 Replies
02-24-2012 11:51 AM

Hello Forum,

 

after I redefine a block (I make it bigger), I can't select the block by clicking on the part that's gotten bigger. It is as if AutoCAD still remembers the outlining of the previous smaller block and if I click outside this outlining it doesnt select the block. If I save, close and reopen the drawing everything is fine and I can select the block as normal.

 

Why is this caused?

 

Thank you.

  

// Insert from dwg file.
using (dbInsert = new Database(false, true))
{
    dbInsert.ReadDwgFile(strDwgPath, System.IO.FileShare.Read, true, "");
    oidInsert = dbActive.Insert(System.IO.Path.GetFileNameWithoutExtension(strDwgPath), dbInsert, true);
}
// Regenerate the drawing
CADS.Application.DocumentManager.MdiActiveDocument.Editor.Regen();
 

 

... insert random untested code here ....

 

Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument

Dim ed As Editor = doc.Editor
Dim db As Database = doc.Database 

Using tr As Transaction = db.TransactionManager.StartTransaction()

Dim bref As BlockReference = Nothing

 

.. do stuff


bref.RecordGraphicsModified(True)
tr.TransactionManager.QueueForGraphicsFlush()
doc.TransactionManager.FlushGraphics()
ed.UpdateScreen()
tr.Commit()

 

*Expert Elite*
arcticad
Posts: 1,285
Registered: ‎06-21-2004
Message 2 of 2 (274 Views)

Re: Can't select block after redefining it.

02-24-2012 12:57 PM in reply to: Ertqwa

... insert random untested code here ....

 

Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument

Dim ed As Editor = doc.Editor
Dim db As Database = doc.Database 

Using tr As Transaction = db.TransactionManager.StartTransaction()

Dim bref As BlockReference = Nothing

 

.. do stuff


bref.RecordGraphicsModified(True)
tr.TransactionManager.QueueForGraphicsFlush()
doc.TransactionManager.FlushGraphics()
ed.UpdateScreen()
tr.Commit()

 

---------------------------



(defun botsbuildbots() (botsbuildbots))
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.